<?php
/**
 * creates Albireo XHTML web output
 * @package    Albireo I
 * @subpackage Core
 * @copyright  Copyright (c) 2009 Albireo Solutions. All rights reserved
 * @license    GNU/AGPL http://www.gnu.org/licenses/agpl.html
 *
 * Albireo is free software! You can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *	GNU Affero General Public License for more details.
 */
class XHTMLPublisher {

    /**
     * creates Albireo XHTML web output
     */
    public static function publish ()
    {
echo "<?xml version=\"1.0\" encoding=\"UTF-8\" ?>\n"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs" lang="cs">

<?php
 $directory = ( Error::ticket () -> status > 3 ) ? 2 : Page::session () -> getDirectory ();

 $headerPage = substr ( Database::connection () -> getResult ( "SELECT headerhtml FROM directory WHERE id=$directory;" ), 0, -4 ) ."php";
 if ( file_exists ( "xhtml/". $headerPage ) ) {
     include_once "xhtml/". $headerPage;
 }

 $bodyPage = substr ( Database::connection () -> getResult ( "SELECT bodyhtml FROM directory WHERE id=$directory;" ), 0, -4 ) ."php";
 if ( file_exists ( "xhtml/". $bodyPage ) ) {
     include_once "xhtml/". $bodyPage;
 }

?>

</html><?php
    } // end publish

}
?>