<?php
/**
 * creates Albireo XML web output
 * @package    Albireo I
 * @subpackage Core
 * @copyright  Copyright (c) 2009 Albireo Solutions. All rights reserved
 * @license    GNU/AGPL http://www.gnu.org/licenses/agpl.html
 *
 * Albireo is free software! You can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *	GNU Affero General Public License for more details.
 */
class XMLPublisher {

    /**
     * creates Albireo XML web output
     */
    public static function publish ()
    {
    
echo "<?xml version=\"1.0\" encoding=\"utf-8\"?>"; ?>

<albireo>
    <article>
	<head>
	    <title><?php echo Page::session () -> getTitle (); ?></title>
    	</head>
	<body>
	    <?php
	    	if ( Error::ticket () -> status > 0 ) {
 		    echo Error::ticket () -> getErrors ();
 		}
	    	echo Page::session () -> getText ();
	    ?>

	</body>
    </article>
</albireo>
<?php } // end publish

}

?>